summaryrefslogtreecommitdiff
path: root/qa/020
diff options
context:
space:
mode:
Diffstat (limited to 'qa/020')
-rwxr-xr-xqa/02031
1 files changed, 31 insertions, 0 deletions
diff --git a/qa/020 b/qa/020
new file mode 100755
index 0000000..78cf2bb
--- /dev/null
+++ b/qa/020
@@ -0,0 +1,31 @@
+#! /bin/sh
+# PCP QA Test No. 020
+# sample and hinv together?
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+. ./common.product
+. ./common.filter
+. ./common.setup
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+_filter()
+{
+ sed -e '/using .* kmem interface/d' \
+ | _filter_pmcd_log
+}
+
+# real QA test starts here
+PCP_LITE_SAMPLE=yes
+export PCP_LITE_SAMPLE
+$sudo pminfo -L -f sampledso.bin hinv.ncpu 2>&1 \
+| _filter \
+| sed \
+ -e '/pcp\[/s/\[[0-9][0-9]*]/[PID]/' \
+ -e '/^ *value/s/[1-9][0-9]*/INTEGER/'
+